///////////////////////////////////////////////////////////////////////////////
// Apocalypse Weekend Single Player game info
// Copyright 2004 Running With Scissors, Inc.  All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////
class AW7GameSPFinal extends AW7GameSP;

///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
function bool PickupQuery( Pawn Other, Pickup item )
{
	if(P2WeaponPickup(item) == None
		|| AWDude(Other) == None
		|| AWDude(Other).GaryHeads <= 0
		|| AWDudePlayer(AWDude(Other).Controller).bNeverSwitchOnPickup)	// This variable gets stored and
		// switched to true on creation of a gary head, but if the user goes into the
		// options and switches it manually back and forth, it will come undone. We don't
		// want them doing this, so if they do, don't let them pick up the gun at all.
		// It'll all be back to normal when the heads are gone anyway.
		return Super.PickupQuery(Other, item);
	else
		return false;
}

defaultproperties
{
     Begin Object Class=DayBase Name=DayBase8
         Description="Saturday"
         UniqueName="DAY_A"
         ExcludeDays(0)="DEMO"
         LoadTex="aw_textures.loading_sat"
         DudeStartComment="DudeDialog.dude_map_exit1"
         Errands(0)=ErrandBase'EAFX.ErrandBase0'
         PlayerInvList(0)=(InvClassName="Inventory.MoneyInv",NeededAmount=50)
         PlayerInvList(1)=(InvClassName="Inventory.HandsWeapon")
         TakeFromPlayerList(0)=(InvClassName="Inventory.NewspaperInv")
         TakeFromPlayerList(1)=(InvClassName="Inventory.GimpClothesInv")
         TakeFromPlayerList(2)=(InvClassName="Inventory.DudeClothesInv")
         Name="DayBase8"
     End Object
     Days(0)=DayBase'EAFX.DayBase8'
     Begin Object Class=DayBase Name=DayBase9
         Description="Sunday"
         UniqueName="DAY_B"
         ExcludeDays(0)="DEMO"
         LoadTex="aw_textures.loading_sun"
         DudeStartComment="DudeDialog.dude_map_exit1"
         Errands(0)=ErrandBase'AWGame.ErrandBase1'
         TakeFromPlayerList(0)=(InvClassName="Inventory.NewspaperInv")
         TakeFromPlayerList(1)=(InvClassName="Inventory.GimpClothesInv")
         TakeFromPlayerList(2)=(InvClassName="Inventory.DudeClothesInv")
         Name="DayBase9"
     End Object
     Days(1)=DayBase'EAFX.DayBase9'
     MatSwaps(0)=(OrigMat=Texture'Josh-textures.signs.game_banner_2',NewMat=Texture'Josh-textures.signs.game_banner_5')
     MatSwaps(1)=(OrigMat=Texture'Timb.arcade.Game_FagHunter',NewMat=Texture'Timb.arcade.Game_BastardFish')
     DefaultPlayerClassName="AWWrapGame.AWPostalDude"
     HUDType="AWWrapGame.AWWrapHUD"
     PlayerControllerClassName="AWWrapGame.AWDudePlayer"
}
