///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
class EAHead extends EDHead;

///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
var bool bBouncedOnce;

const HEAD_FIX_SPAN = 20.000000;

function bool SetupAfterDetach()
{
	if (EAEarlyGameInfo(Level.Game) != None && EAEarlyGameInfo(Level.Game).bHeadFix)
		LifeSpan = HEAD_FIX_SPAN;

	return Super.SetupAfterDetach();
}

///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
simulated function HitWall (vector HitNormal, actor HitWallActor)
{
	bBouncedOnce = True;
	Super.HitWall(HitNormal, HitWallActor);
}

///////////////////////////////////////////////////////////////////////////////
// Switch to a burned texture
///////////////////////////////////////////////////////////////////////////////
simulated function SwapToBurnVictim()
{
	if(class'P2Player'.static.BloodMode())
		Skins[0] = BurnVictimHeadSkin;
}



///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////

defaultproperties
{
     ExplodeHeadSound=Sound'Zombification.Weapons.HeadExplode2'
     HeadBounce(0)=Sound'MiscSounds.People.head_bounce'
     HeadBounce(1)=Sound'MiscSounds.People.head_bounce2'
}
