class ACTION_IsWeekendGame extends ScriptedAction;

var() bool bIs;

function ProceedToNextAction(ScriptedController C)
{
	local EAGameInfo game;

	game = EAGameInfo(C.Level.Game);

	C.ActionNum += 1;
	if (game == None)
		ProceedToSectionEnd(C);
	if (game.WeekendGame() != bIs)
		ProceedToSectionEnd(c);
}

function string GetActionString()
{
		return ActionString@bIs;
}

defaultproperties
{
     bIs=True
     ActionString="If weekendable game is"
     bRequiresValidGameInfo=True
}
