//=============================================================================
// MaDColtPickup.
// Created on: 03/25/2005
// Written by Eduard Klemens
// Mail to: madjackal_x@hotmail.com.
//  2005, MaD Inc. All Rights Reserved.
//=============================================================================
class EAMaDColtPickup extends P2WeaponPickup;

#exec OBJ LOAD FILE=EAMesh.usx
#exec OBJ LOAD FILE=EASounds.uax

///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////

defaultproperties
{
     AmmoGiveCount=6
     DeadNPCAmmoGiveRange=(Min=2.000000,Max=5.000000)
     BounceSound=Sound'EASounds.MiscWeapons.MaDColtDrop'
     MPAmmoGiveCount=6
     ShortSleeveType=Class'EAMaDColtWeaponSS'
     InventoryType=Class'EAMaDColtWeapon'
     RespawnTime=30.000000
     PickupMessage="You picked up the M@D Colt."
     DrawType=DT_StaticMesh
     StaticMesh=StaticMesh'EAMesh.MaD.MaDColtPickup'
     CollisionRadius=20.000000
     CollisionHeight=5.000000
}
