///////////////////////////////////////////////////////////////////////////////
// EAWeaponAttachment
// Preserve a desired relative rotation/location so the thing in his hand
// looks right
///////////////////////////////////////////////////////////////////////////////
class EAWeaponAttachment extends P2WeaponAttachment;

var() vector RelLoc;
var() rotator RelRot;

simulated event PostBeginPlay()
{
	Super.PostBeginPlay();
	SetRelativeLocation(RelLoc);
	SetRelativeRotation(RelRot);
}

defaultproperties
{
}
