///////////////////////////////////////////////////////////////////////////////
// Token Inventory
// The player activates this to use an ArcadePoint.
///////////////////////////////////////////////////////////////////////////////
class TokenInv extends OwnedInv;

///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
function Activate()
{
	local ArcadePoint P;
	local PlayerController PC;
	
	PC = PlayerController(Pawn(Owner).Controller);
	if (PC == None)
		return;

	foreach Owner.TouchingActors(class'ArcadePoint', P)
		if (P.AcceptToken(PC, self))
		{
			ReduceAmount(1);
			return;
		}
}

///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////

defaultproperties
{
     bThrowIndividually=False
     InventoryGroup=165
     GroupOffset=165
     PickupClass=Class'EAInventory.TokenPickup'
     Icon=Texture'EATex.Icons.hud_token'
}
