///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
class EACatPawnNoReport extends AWCatPawn;

///////////////////////////////////////////////////////////////////////////////
// DON'T record pawn dead, if player killed them
///////////////////////////////////////////////////////////////////////////////
function Died(Controller Killer, class<DamageType> damageType, vector HitLocation)
{
	// Turn off all possible dervish effects
	if(AWCatController(Controller) != None
		&& AWCatController(Controller).bDervish)
		AWCatController(Controller).TurnOffDervish(true);

	Super(AnimalPawn).Died(Killer, damageType, HitLocation);
}

defaultproperties
{
     Skins(0)=Texture'AnimalSkins.Cat_Orange'
}
