//=============================================================================
// EAPhraudHogslop.
//=============================================================================
class EAPhraudHogslop extends EAPerson
	placeable;

const DIED_EARLY_EVENT = 'EndMovie';

///////////////////////////////////////////////////////////////////////////////
// If I'm used for an errand, delete my seeking rockets when i die
// so that it doesnt mess up anything after (like a cinematic)
///////////////////////////////////////////////////////////////////////////////
function CheckForErrandCompleteOnDeath(Controller Killer)
{
	local LauncherSeekingProjectileTrad rkt;

	if(bUseForErrands)
	{
		foreach AllActors(class'LauncherSeekingProjectileTrad', rkt)
		{
			if(rkt.Dropper == Controller)
				rkt.Destroy();
		}
	}

	Super.CheckForErrandCompleteOnDeath(Killer);
}

defaultproperties
{
     bCellUser=False
     TakesSledgeDamage=0.50000
     TakesMacheteDamage=0.50000
     TakesScytheDamage=0.50000
     TakesDervishDamage=0.50000
     TakesZombieSmashDamage=0.50000
     BlockMeleeFreq=1.000000
     HeadSkin=Texture'AW_Characters.Special.Phred'
     HeadMesh=SkeletalMesh'AW_Heads.AW_Fraud'
     bRandomizeHeadScale=False
     BodyHitSounds(0)=Sound'MiscSounds.People.bodyhitground1'
     BodyHitSounds(1)=Sound'MiscSounds.People.bodyhitground2'
     ChameleonMeshPkgs(0)="Characters"
     ChamelHeadMeshPkgs(0)="heads"
     bStartupRandomization=False
     Psychic=1.000000
     Champ=0.900000
     Cajones=1.000000
     Temper=1.000000
     Glaucoma=0.700000
     Twitch=1.000000
     Compassion=0.000000
     WarnPeople=0.000000
     Conscience=0.000000
     Beg=0.000000
     PainThreshold=1.000000
     Reactivity=0.500000
     Confidence=1.000000
     Rebel=1.000000
     Patience=0.500000
     WillKneel=0.50000
     WillUseCover=0.500000
     Talkative=0.200000
     TalkWhileFighting=0.250000
     TakesShotgunHeadShot=0.30000
     TakesRifleHeadShot=0.300000
     TakesShovelHeadShot=1.000000
     TakesOnFireDamage=0.300000
     TakesAnthraxDamage=1.000000
     TakesShockerDamage=0.500000
     TalkBeforeFighting=1.000000
     WeapChangeDist=500.000000
//     bAdvancedFiring=True
     dialogclass=Class'AWPawns.DialogPhraud'
     BaseEquipment(0)=(WeaponClass=Class'MaDUSAS12Weapon')
     BaseEquipment(1)=(WeaponClass=Class'LauncherWeapon')
     TakesChemDamage=0.300000
     HealthMax=3000.000000
     bPersistent=True
     bCanTeleportWithPlayer=False
     bKeepForMovie=True
     Mesh=SkeletalMesh'AWCharacters.Avg_Phraud'
     Skins(0)=Texture'AW_Characters.Special.Phred_Suit'
     Mass=80.000000
}
