//=============================================================================
// Protestors
// Copyright 2001 Running With Scissors, Inc.  All Rights Reserved.
//
// Base class for the RWS protestor characters.
//
//=============================================================================
class EARWSProtestors extends EAProtestors
	placeable;

defaultproperties
{
     ChameleonSkins(0)="ChameleonSkins.FW__089__Fem_LS_Skirt"
     ChameleonSkins(1)="ChameleonSkins.MW__054__Avg_M_SS_Pants"
     ChameleonSkins(3)="ChameleonSkins.MW__054__Avg_M_SS_Pants"
     ChameleonSkins(4)="End"
     ChameleonMeshPkgs(0)="Characters"
     ChamelHeadSkins(0)="ED_HeadsAndSkins.Tim_Wambolts.FWA__030__FemSH"
     ChamelHeadSkins(1)="ChamelHeadSkins.Female.FWA__026__FemLH"
     ChamelHeadSkins(2)="ChamelHeadSkins.Female.FWA__027__FemLH"
     ChamelHeadSkins(3)="ChamelHeadSkins.Female.FWA__031__FemSH"
     ChamelHeadSkins(4)="ChamelHeadSkins.Female.FMA__039__FemSHcropped"
     ChamelHeadSkins(5)="ChamelHeadSkins.Female.FWA__032__FemSH"
     ChamelHeadSkins(6)="ED_HeadsAndSkins.biohazardous_snarks.MBA__021__AvgBrotha"
     ChamelHeadSkins(7)="ED_HeadsAndSkins.biohazardous_snarks.MBA__022__AvgBrotha"
     ChamelHeadSkins(8)="ED_HeadsAndSkins.biohazardous_snarks.MBA__023__AvgBrotha"
     ChamelHeadSkins(9)="ED_HeadsAndSkins.Tim_Wambolts.FWA__030__FemLH"
     ChamelHeadSkins(10)="ED_HeadsAndSkins.biohazardous_snarks.MBA__024__AvgBrotha"
     ChamelHeadSkins(11)="ED_HeadsAndSkins.biohazardous_snarks.MWA__001__AvgMale"
     ChamelHeadSkins(12)="ED_HeadsAndSkins.biohazardous_snarks.MWA__002__AvgMale"
     ChamelHeadSkins(13)="ED_HeadsAndSkins.biohazardous_snarks.MWA__003__AvgMale"
     ChamelHeadSkins(14)="ED_HeadsAndSkins.biohazardous_snarks.MWA__004__AvgMale"
     ChamelHeadSkins(15)="ED_HeadsAndSkins.biohazardous_snarks.MWA__005__AvgMale"
     ChamelHeadSkins(16)="ED_HeadsAndSkins.biohazardous_snarks.FWA__244__FemSH"
     ChamelHeadSkins(17)="ED_HeadsAndSkins.Mimics.MMA__007__AvgMale"
     ChamelHeadSkins(18)="ED_HeadsAndSkins.Steevees.MWA__409__AvgMale"
     ChamelHeadSkins(19)="ED_HeadsAndSkins.Steevees.MWA__410__AvgMale"
     ChamelHeadSkins(20)="ED_HeadsAndSkins.Steevees.MWA__411__AvgMale"
     ChamelHeadSkins(21)="ED_HeadsAndSkins.Steevees.MWA__012__AvgMale"
     ChamelHeadSkins(22)="ED_HeadsAndSkins.Steevees.MWA__013__AvgMale"
     ChamelHeadSkins(23)="ED_HeadsAndSkins.Steevees.MWA__014__AvgMale"
     ChamelHeadSkins(24)="ED_HeadsAndSkins.Steevees.MWA__015__AvgMale"
     ChamelHeadSkins(25)="ED_HeadsAndSkins.Steevees.MWA__016__AvgMale"
     ChamelHeadSkins(26)="ED_HeadsAndSkins.Steevees.MWA__017__AvgMale"
     ChamelHeadSkins(27)="ED_HeadsAndSkins.Tim_Wambolts.MWA__018__AvgMale"
     ChamelHeadSkins(28)="ED_HeadsAndSkins.Tim_Wambolts.MWA__019__AvgMale"
     ChamelHeadSkins(29)="ED_HeadsAndSkins.Tim_Wambolts.MWA__020__AvgMale"
     ChamelHeadSkins(30)="ED_HeadsAndSkins.SniperX.MWA__008__AvgMale"
     ChamelHeadSkins(31)="ED_HeadsAndSkins.biohazardous_snarks.MWA__006__AvgMale"
     ChamelHeadSkins(32)="ED_HeadsAndSkins.biohazardous_snarks.MWA__007__AvgMale"
     ChamelHeadSkins(33)="ED_HeadsAndSkins.biohazardous_snarks.MWA__008__AvgMale"
     ChamelHeadSkins(34)="ED_HeadsAndSkins.biohazardous_snarks.MMA__009__AvgMale"
     ChamelHeadSkins(35)="ED_HeadsAndSkins.biohazardous_snarks.MWA__010__AvgMale"
     ChamelHeadSkins(36)="ED_HeadsAndSkins.biohazardous_snarks.MWA__011__AvgMale"
     ChamelHeadSkins(37)="ED_HeadsAndSkins.Steevees.FWA__025__FemSH"
     ChamelHeadSkins(38)="ED_HeadsAndSkins.Tim_Wambolts.FWA__026__FemSH"
     ChamelHeadSkins(39)="ED_HeadsAndSkins.Tim_Wambolts.FWA__027__FemSH"
     ChamelHeadSkins(40)="ED_HeadsAndSkins.Tim_Wambolts.FWA__028__FemLH"
     ChamelHeadSkins(41)="ED_HeadsAndSkins.Tim_Wambolts.FWA__029__FemSH"
     ChamelHeadSkins(42)="ED_HeadsAndSkins.Tim_Wambolts.FWA__237__FemSHcropped"
     ChamelHeadSkins(43)="ED_HeadsAndSkins.Tim_Wambolts.FWA__238__FemSHcropped"
     ChamelHeadSkins(44)="ED_HeadsAndSkins.Tim_Wambolts.FWA__031__FemSH"
     ChamelHeadSkins(45)="ED_HeadsAndSkins.Tim_Wambolts.FWA__242__FemSH"
     ChamelHeadSkins(46)="ED_HeadsAndSkins.Tim_Wambolts.FWA__243__FemSH"
     ChamelHeadSkins(47)="ED_HeadsAndSkins.biohazardous_snarks.FWA__239"
     ChamelHeadSkins(48)="ED_HeadsAndSkins.biohazardous_snarks.MWA__010__AvgMale"
     ChamelHeadSkins(49)="ED_HeadsAndSkins.biohazardous_snarks.MWA__011__AvgMale"
     ChamelHeadSkins(50)="End"
     ChamelHeadSkins(51)="ED_HeadsAndSkins.Steevees.MWA__410__AvgMale"
     ChamelHeadSkins(52)="ED_HeadsAndSkins.Steevees.MWA__411__AvgMale"
     ChamelHeadSkins(53)="ED_HeadsAndSkins.Steevees.MWA__012__AvgMale"
     ChamelHeadSkins(54)="ED_HeadsAndSkins.Steevees.MWA__013__AvgMale"
     ChamelHeadSkins(55)="ED_HeadsAndSkins.Steevees.MWA__014__AvgMale"
     ChamelHeadSkins(56)="ED_HeadsAndSkins.Steevees.MWA__015__AvgMale"
     ChamelHeadSkins(57)="ED_HeadsAndSkins.Steevees.MWA__016__AvgMale"
     ChamelHeadSkins(58)="ED_HeadsAndSkins.Steevees.MWA__017__AvgMale"
     ChamelHeadSkins(59)="ED_HeadsAndSkins.Tim_Wambolts.MWA__018__AvgMale"
     ChamelHeadSkins(60)="ED_HeadsAndSkins.Tim_Wambolts.MWA__019__AvgMale"
     ChamelHeadSkins(61)="ED_HeadsAndSkins.Tim_Wambolts.MWA__020__AvgMale"
     ChamelHeadSkins(62)="ED_HeadsAndSkins.SniperX.MWA__008__AvgMale"
     ChamelHeadSkins(63)="ED_HeadsAndSkins.biohazardous_snarks.MWA__006__AvgMale"
     ChamelHeadSkins(64)="ED_HeadsAndSkins.biohazardous_snarks.MWA__007__AvgMale"
     ChamelHeadSkins(65)="ED_HeadsAndSkins.biohazardous_snarks.MWA__008__AvgMale"
     ChamelHeadSkins(66)="ED_HeadsAndSkins.biohazardous_snarks.MMA__009__AvgMale"
     ChamelHeadSkins(67)="ED_HeadsAndSkins.biohazardous_snarks.MWA__010__AvgMale"
     ChamelHeadSkins(68)="ED_HeadsAndSkins.biohazardous_snarks.MWA__011__AvgMale"
     ChamelHeadSkins(69)="ED_HeadsAndSkins.Steevees.FWA__025__FemSH"
     ChamelHeadSkins(70)="ED_HeadsAndSkins.Tim_Wambolts.FWA__026__FemSH"
     ChamelHeadSkins(71)="ED_HeadsAndSkins.Tim_Wambolts.FWA__027__FemSH"
     ChamelHeadSkins(72)="ED_HeadsAndSkins.Tim_Wambolts.FWA__028__FemLH"
     ChamelHeadSkins(73)="ED_HeadsAndSkins.Tim_Wambolts.FWA__029__FemSH"
     ChamelHeadSkins(74)="ED_HeadsAndSkins.Tim_Wambolts.FWA__237__FemSHcropped"
     ChamelHeadSkins(75)="ED_HeadsAndSkins.Tim_Wambolts.FWA__238__FemSHcropped"
     ChamelHeadSkins(76)="ED_HeadsAndSkins.Tim_Wambolts.FWA__031__FemSH"
     ChamelHeadSkins(77)="ED_HeadsAndSkins.Tim_Wambolts.FWA__242__FemSH"
     ChamelHeadSkins(78)="ED_HeadsAndSkins.Tim_Wambolts.FWA__243__FemSH"
     ChamelHeadSkins(79)="ED_HeadsAndSkins.biohazardous_snarks.FWA__239"
     ChamelHeadSkins(80)="ED_HeadsAndSkins.biohazardous_snarks.MWA__010__AvgMale"
     ChamelHeadSkins(81)="ED_HeadsAndSkins.biohazardous_snarks.MWA__011__AvgMale"
     ChamelHeadSkins(82)="AW7PawnSkins.heads.FWA__218__FemSH"
     ChamelHeadSkins(83)="AW7PawnSkins.heads.FWA__228__FemLH"
     ChamelHeadSkins(84)="AW7PawnSkins.heads.FWA__229__FemSH"
     ChamelHeadSkins(85)="AW7PawnSkins.heads.FWA__230__FemSH"
     ChamelHeadSkins(86)="AW7PawnSkins.heads.FWA__231__FemSHCropped"
     ChamelHeadSkins(87)="AW7PawnSkins.heads.FWA__232__FemSHCropped"
     ChamelHeadSkins(88)="AW7PawnSkins.heads.FWA__233__FemSHcropped"
     ChamelHeadSkins(89)="AW7PawnSkins.heads.FWA__234__FemSH"
     ChamelHeadSkins(90)="AW7PawnSkins.heads.FWA__235__FemSH"
     ChamelHeadSkins(91)="AW7PawnSkins.heads.FWA__242__FemSH"
     ChamelHeadSkins(92)="AW7PawnSkins.heads.MBA__201__AvgBrotha"
     ChamelHeadSkins(93)="AW7PawnSkins.heads.MBA__203__AvgBrotha"
     ChamelHeadSkins(94)="AW7PawnSkins.heads.MMA__204__AvgMale"
     ChamelHeadSkins(95)="AW7PawnSkins.heads.MMA__216__AvgMale"
     ChamelHeadSkins(96)="AW7PawnSkins.heads.MWA__200__AvgMaleBig"
     ChamelHeadSkins(97)="AW7PawnSkins.heads.MWA__202__AvgMale"
     ChamelHeadSkins(98)="AW7PawnSkins.heads.MWA__205__AvgMale"
     ChamelHeadSkins(99)="AW7PawnSkins.heads.MWA__206__AvgMale"
     ChamelHeadSkins(100)="AW7PawnSkins.heads.MWA__207__AvgMale"
     ChamelHeadSkins(101)="AW7PawnSkins.heads.MWA__208__AvgMale"
     ChamelHeadSkins(102)="AW7PawnSkins.heads.MWA__209__AvgMale"
     ChamelHeadSkins(103)="AW7PawnSkins.heads.MWA__210__AvgMale"
     ChamelHeadSkins(104)="AW7PawnSkins.heads.MWA__211__AvgMale"
     ChamelHeadSkins(105)="AW7PawnSkins.heads.MWA__212__AvgMale"
     ChamelHeadSkins(106)="AW7PawnSkins.heads.MWA__213__AvgMale"
     ChamelHeadSkins(107)="AW7PawnSkins.heads.MWA__215__AvgMale"
     ChamelHeadSkins(108)="AW7PawnSkins.heads.MWA__217__AvgMale"
     ChamelHeadSkins(109)="AW7PawnSkins.heads.MWA__219__AvgMale"
     ChamelHeadSkins(110)="AW7PawnSkins.heads.MWA__220__AvgMale"
     ChamelHeadSkins(111)="AW7PawnSkins.heads.MWA__221__AvgMale"
     ChamelHeadSkins(112)="AW7PawnSkins.heads.MWA__222__AvgMale"
     ChamelHeadSkins(113)="AW7PawnSkins.heads.MWA__223__AvgMale"
     ChamelHeadSkins(114)="AW7PawnSkins.heads.MWA__224__AvgMale"
     ChamelHeadSkins(115)="AW7PawnSkins.heads.MWA__225__AvgMale"
     ChamelHeadSkins(116)="AW7PawnSkins.heads.MWA__226__AvgMale"
     ChamelHeadSkins(117)="AW7PawnSkins.heads.MWA__227__AvgMale"
     ChamelHeadSkins(118)="AW7PawnSkins.heads.MWA__236__AvgMale"
     ChamelHeadSkins(119)="AW7PawnSkins.heads.MWA__237__AvgMale"
     ChamelHeadSkins(120)="AW7PawnSkins.heads.MWA__238__AvgMale"
     ChamelHeadSkins(121)="AW7PawnSkins.heads.MWA__239__AvgMaleBig"
     ChamelHeadSkins(122)="AW7PawnSkins.heads.MWA__240__AvgMale"
     ChamelHeadSkins(123)="AW7PawnSkins.heads.MWA__241__AvgMale"
     ChamelHeadSkins(124)="AW7PawnSkins.heads.MWA__243__AvgMale"
     ChamelHeadSkins(125)="AW7PawnSkins.heads.MWA__244__AvgMaleBig"
     ChamelHeadSkins(126)="AW7PawnSkins.heads.MWA__245__AvgMaleBig"
     ChamelHeadSkins(127)="AW7PawnSkins.heads.MWA__247__AvgMale"
     ChamelHeadSkins(128)="ED_HeadSkins.Male.mimic__AVgMaleBig"
     ChamelHeadSkins(129)="End"
     ChamelHeadMeshPkgs(0)="heads"
     Glaucoma=0.800000
     BaseEquipment(0)=(WeaponClass=Class'EAInventory.EAGSelectWeapon')
     BaseEquipment(1)=(WeaponClass=Class'Inventory.UrethraWeapon')
     Gang="RWSProtestors"
     Mesh=SkeletalMesh'Characters.Avg_M_SS_Pants'
     Skins(0)=Texture'ChameleonSkins.RWSProtestors.XX__155__Avg_M_SS_Pants'
}
