// EAFanatics
// Have them use the new AW7 Civilian Controller instead of the AW base
// bystander controller.
class EARWSStuff extends EAPerson
	notplaceable
	Abstract;

///////////////////////////////////////////////////////////////////////////////
// Record pawn dead, if player killed them
///////////////////////////////////////////////////////////////////////////////
function Died(Controller Killer, class<DamageType> damageType, vector HitLocation)
{
	if(P2GameInfoSingle(Level.Game) != None
		&& P2GameInfoSingle(Level.Game).TheGameState != None
		&& EAGameState(P2GameInfoSingle(Level.Game).TheGameState) != None
		&& Killer != None
		&& Killer.bIsPlayer)
	{
		// Record the pawn as an innocent, if we don't hate the player.
		if (bInnocent)
			EAGameState(P2GameInfoSingle(Level.Game).TheGameState).InnocentsKilled++;
	}

	Super.Died(Killer, damageType, HitLocation);
}

defaultproperties
{
     bCellUser=False
     SeverBone(0)="MALE01 L UpperArm"
     SeverBone(1)="MALE01 L Forearm"
     SeverBone(2)="MALE01 R UpperArm"
     SeverBone(3)="MALE01 R Forearm"
     SeverBone(4)="MALE01 L Thigh"
     SeverBone(5)="MALE01 L Calf"
     SeverBone(6)="MALE01 R Thigh"
     SeverBone(7)="MALE01 r calf"
     BoneArr(0)=1
     BoneArr(1)=1
     BoneArr(2)=1
     BoneArr(3)=1
     BoneArr(4)=1
     BoneArr(5)=1
     BoneArr(6)=1
     BoneArr(7)=1
     TakesSledgeDamage=0.100000
     TakesMacheteDamage=0.100000
     TakesScytheDamage=0.100000
     TakesZombieSmashDamage=0.300000
     bLookForZombies=True
     BlockMeleeFreq=1.000000
     bRandomizeHeadScale=False
     bIsTrained=True
     ChameleonMeshPkgs(0)="Characters"
     ChamelHeadMeshPkgs(0)="heads"
     Psychic=0.400000
     Cajones=1.000000
     Glaucoma=0.300000
     PainThreshold=1.000000
     Rebel=1.000000
     TakesMachinegunDamage=1.000000
     TakesPistolHeadShot=1.000000
     TakesShotgunHeadShot=1.000000
     TakesRifleHeadShot=1.000000
     TakesShovelHeadShot=1.000000
     TakesOnFireDamage=0.400000
     TakesAnthraxDamage=1.000000
     TakesChemDamage=1.000000
     TakesShockerDamage=0.200000
     TakesSledgeDamage=1.000000
     TakesMacheteDamage=0.700000
     TakesScytheDamage=1.000000
     TakesDervishDamage=0.700000
     TakesZombieSmashDamage=0.750000
     BaseEquipment(0)=(WeaponClass=Class'DesertEagleWeapon')
     BaseEquipment(1)=(WeaponClass=Class'AK47Weapon')
     BaseEquipment(2)=(WeaponClass=Class'EAFootWeapon')
     BaseEquipment(3)=(WeaponClass=Class'EAFistsWeapon')
     BaseEquipment(4)=(WeaponClass=Class'Inventory.UrethraWeapon')
     ViolenceRankTolerance=0
     HealthMax=230.000000
     WillDodge=0.400000
     WillKneel=0.400000
     WillUseCover=0.700000
     bPlayerIsFriend=True
     Gang="RWSStaff"
     DamageMult=1.000000
     FriendDamageThreshold=50.000000
     ControllerClass=Class'EAPawns.EARWSController'
}
