//=============================================================================
// Copyright 2002 Running With Scissors, Inc.  All Rights Reserved.
//=============================================================================
class EARWSVince extends EARWSStuff
	placeable;

// Vince needs to not use the turning anims when using these anims

simulated function PlayLaughingAnim()
{
	ChangePhysicsAnimUpdate(false);
	PlayAnim(GetAnimLaugh(), 1.0, 0.15);
}
simulated function PlayYourFiredAnim()
{
	ChangePhysicsAnimUpdate(false);
	PlayAnim('s_fired', 1.0, 0.15);
}


// Let his tag be 'AWRWSVince'

defaultproperties
{
     SeverBone(0)="MALE01 L UpperArm"
     SeverBone(1)="MALE01 L Forearm"
     SeverBone(2)="MALE01 R UpperArm"
     SeverBone(3)="MALE01 R Forearm"
     SeverBone(4)="MALE01 L Thigh"
     SeverBone(5)="MALE01 L Calf"
     SeverBone(6)="MALE01 R Thigh"
     SeverBone(7)="MALE01 r calf"
     BoneArr(0)=1
     BoneArr(1)=1
     BoneArr(2)=1
     BoneArr(3)=1
     BoneArr(4)=1
     BoneArr(5)=1
     BoneArr(6)=1
     BoneArr(7)=1
     HeadSkin=Texture'ChamelHeadSkins.Special.Vince'
     HeadMesh=SkeletalMesh'heads.AvgMale'
     BodyHitSounds(0)=Sound'MiscSounds.People.bodyhitground1'
     BodyHitSounds(1)=Sound'MiscSounds.People.bodyhitground2'
     ChameleonMeshPkgs(0)="Characters"
     ChamelHeadMeshPkgs(0)="heads"
     WeapChangeDist=200.000000
     dialogclass=Class'AWPawns.AWDialogVince'
     BaseEquipment(0)=(WeaponClass=Class'SledgeWeapon')
     BaseEquipment(1)=(WeaponClass=Class'M4A1Weapon')
     BaseEquipment(2)=(WeaponClass=Class'FootWeapon')
     BaseEquipment(3)=(WeaponClass=Class'FistsWeapon')
     BaseEquipment(4)=(WeaponClass=Class'Inventory.UrethraWeapon')
     bPersistent=True
     bCanTeleportWithPlayer=False
     bKeepForMovie=True
     ControllerClass=Class'EAPawns.EAVinceController'
     Mesh=SkeletalMesh'Characters.Avg_M_SS_Pants'
     Skins(0)=Texture'ChameleonSkins.Special.RWS_Pants'
}
