class EAGameWeekend extends EAGameInfo;

function bool IsWeekend()
{
	return true;
}

function bool WeekendOnlyGame()
{
	return true;
}

defaultproperties
{
     GameNameShort="Weekend"
     Days(0)=DayBase'EAGame.DayBase8'
     Days(1)=DayBase'EAGame.DayBase9'
     Begin Object Class=DayBase Name=DayBase102
         Description="Wednesday"
         UniqueName="DAY_C"
         ExcludeDays(0)="DEMO"
         MapTex="p2misc_full.map_day3"
         NewsTex="p2misc_full.newspaper_day_3"
         DudeNewsComment="DudeDialog.dude_news_wednesday"
         LoadTex="EA_Product.Full.Loading_Wednesday"
         DudeStartComment="DudeDialog.dude_map_exit3"
         Errands(0)=ErrandBase'GameTypes.ErrandBase7'
         Errands(1)=ErrandBase'GameTypes.ErrandBase8'
         Errands(2)=ErrandBase'GameTypes.ErrandBase9'
         Errands(3)=ErrandBase'GameTypes.ErrandBase10'
         TakeFromPlayerList(0)=(InvClassName="Inventory.NewspaperInv")
         TakeFromPlayerList(1)=(InvClassName="EAInventory.EAGimpClothesInv")
         TakeFromPlayerList(2)=(InvClassName="EAInventory.EADudeClothesInv")
         TakeFromPlayerList(3)=(InvClassName="Inventory.TreeInv")
         Name="DayBase102"
     End Object
     Days(2)=DayBase'EAGame.DayBase102'
     Begin Object Class=DayBase Name=DayBase103
         Description="Thursday"
         UniqueName="DAY_D"
         ExcludeDays(0)="DEMO"
         MapTex="p2misc_full.map_day4"
         NewsTex="p2misc_full.newspaper_day_4"
         DudeNewsComment="DudeDialog.dude_news_thursday"
         LoadTex="EA_Product.Full.Loading_Thursday"
         DudeStartComment="DudeDialog.dude_map_exit4"
         Errands(0)=ErrandBase'GameTypes.ErrandBase11'
         Errands(1)=ErrandBase'GameTypes.ErrandBase12'
         Errands(2)=ErrandBase'GameTypes.ErrandBase13'
         Errands(3)=ErrandBase'GameTypes.ErrandBase14'
         PlayerInvList(0)=(InvClassName="Inventory.CitationInv")
         TakeFromPlayerList(0)=(InvClassName="Inventory.NewspaperInv")
         TakeFromPlayerList(1)=(InvClassName="EAInventory.EAGimpClothesInv")
         TakeFromPlayerList(2)=(InvClassName="EAInventory.EADudeClothesInv")
         TakeFromPlayerList(3)=(InvClassName="Inventory.KrotchyInv")
         TakeFromPlayerList(4)=(InvClassName="Inventory.SteakInv")
         TakeFromPlayerList(5)=(InvClassName="Inventory.CitationInv")
         Name="DayBase103"
     End Object
     Days(3)=DayBase'EAGame.DayBase103'
     Begin Object Class=DayBase Name=DayBase104
         Description="Friday"
         UniqueName="DAY_E"
         ExcludeDays(0)="DEMO"
         MapTex="p2misc_full.map_day5"
         NewsTex="p2misc_full.newspaper_day_5"
         DudeNewsComment="DudeDialog.dude_news_friday"
         LoadTex="EA_Product.Full.Loading_Friday"
         DudeStartComment="DudeDialog.dude_map_exit5"
         Errands(0)=ErrandBase'GameTypes.ErrandBase15'
         Errands(1)=ErrandBase'GameTypes.ErrandBase16'
         Errands(2)=ErrandBase'GameTypes.ErrandBase17'
         Errands(3)=ErrandBase'GameTypes.ErrandBase18'
         PlayerInvList(0)=(InvClassName="Inventory.GiftInv")
         PlayerInvList(1)=(InvClassName="Inventory.GonorrheaAmmoInv")
         TakeFromPlayerList(0)=(InvClassName="Inventory.NewspaperInv")
         TakeFromPlayerList(1)=(InvClassName="EAInventory.EAGimpClothesInv")
         TakeFromPlayerList(2)=(InvClassName="EAInventory.EADudeClothesInv")
         TakeFromPlayerList(3)=(InvClassName="Inventory.ParcelInv")
         TakeFromPlayerList(4)=(InvClassName="Inventory.AlternatorInv")
         TakeFromPlayerList(5)=(InvClassName="Inventory.PillsInv")
         TakeFromPlayerList(6)=(InvClassName="Inventory.GonorrheaAmmoInv")
         TakeFromPlayerList(7)=(InvClassName="Inventory.MapInv")
         TakeFromPlayerList(8)=(InvClassName="Inventory.GiftInv")
         TakeFromPlayerList(9)=(InvClassName="Inventory.GaryBookInv")
         Name="DayBase104"
     End Object
     Days(4)=DayBase'EAGame.DayBase104'
     Begin Object Class=DayBase Name=DayBase105
         Description="Saturday"
         UniqueName="DAY_A"
         ExcludeDays(0)="DEMO"
         LoadTex="EA_Product.Full.loading_sat"
         DudeStartComment="DudeDialog.dude_map_exit1"
         Errands(0)=ErrandBase'AWGame.ErrandBase0'
         TakeFromPlayerList(0)=(InvClassName="Inventory.NewspaperInv")
         TakeFromPlayerList(1)=(InvClassName="EAInventory.EAGimpClothesInv")
         TakeFromPlayerList(2)=(InvClassName="EAInventory.EADudeClothesInv")
         TakeFromPlayerList(3)=(InvClassName="Inventory.MapInv")
         Name="DayBase105"
     End Object
     Days(5)=DayBase'EAGame.DayBase105'
     Begin Object Class=DayBase Name=DayBase106
         Description="Sunday"
         UniqueName="DAY_B"
         ExcludeDays(0)="DEMO"
         LoadTex="EA_Product.Full.loading_sun"
         DudeStartComment="DudeDialog.dude_map_exit1"
         Errands(0)=ErrandBase'AWGame.ErrandBase1'
         TakeFromPlayerList(0)=(InvClassName="Inventory.NewspaperInv")
         TakeFromPlayerList(1)=(InvClassName="EAInventory.EAGimpClothesInv")
         TakeFromPlayerList(2)=(InvClassName="EAInventory.EADudeClothesInv")
         TakeFromPlayerList(3)=(InvClassName="Inventory.MapInv")
         Name="DayBase106"
     End Object
     Days(6)=DayBase'EAGame.DayBase106'
     IntroURL="EA_WeekendIntro.fuk"
     MatSwaps(0)=(OrigMat=Texture'Josh-textures.signs.game_banner_2',NewMat=Texture'Josh-textures.signs.game_banner_5')
     MatSwaps(1)=(OrigMat=Texture'Timb.arcade.Game_FagHunter',NewMat=Texture'Timb.arcade.Game_BastardFish')
     GameName="EA Weekend Only Game"
}
