class MarioInfo extends Info
	placeable;

var(Mario) float JumpFactor;

var bool bDoneIt;

event CheckDude()
{
	local AWDude D;

	foreach DynamicActors(class'AWDude', D)
	{
		D.JumpZ *= JumpFactor;
		D.MaxFallSpeed *= JumpFactor;
		bDoneIt = True;
	}
}

event Tick(float Delta)
{
	Super.Tick(Delta);

	if (!bDoneIt)
		CheckDude();
	else
		Disable('Tick');
}

defaultproperties
{
     JumpFactor=1.000000
}
