//=============================================================================
// PhysicsVolume:  a bounding volume which affects actor physics
// Each Actor is affected at any time by one PhysicsVolume
// This is a built-in Unreal class and it shouldn't be modified.
//=============================================================================
class WaterVolume extends PhysicsVolume
	native
	nativereplication;


defaultproperties
{
     bWaterVolume=True
     Gravity=(Z=-1500.000000)
     GroundFriction=8.000000
     TerminalVelocity=2500.000000
     FluidFriction=0.300000
     bAlwaysRelevant=True
     TransientSoundRadius=100.000000
}
