class AWPKatanaPickupStabbed extends AWPKatanaPickup;

var class<P2Emitter> WoundBloodClass;

///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
var AWPStabbedKatana stabbed;
var Actor victim;

///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
function VictimBleedFromStabWound()
{
	local P2Emitter sblood;
	const STAB_TIME = 'MALE01 spine2';

	if (Victim == None || WoundBloodClass == None)
		return;

	sblood = spawn(WoundBloodClass,self,,Location,Rotation);
	Victim.AttachToBone(sblood, STAB_TIME);
}

///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
simulated event Destroyed()
{
	if (stabbed != None)
	{
		stabbed.Destroy();
		VictimBleedFromStabWound();
	}

	stabbed = None;
	victim = None;

	Super.Destroyed();
}

///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
simulated event Tick(float Delta)
{
	if (Victim != None)
		SetLocation(victim.location);
}

///////////////////////////////////////////////////////////////////////////////
// Pickup state: this inventory item is sitting on the ground.
///////////////////////////////////////////////////////////////////////////////
/*state Pickup
{
	function Touch( actor Other )
	{
		log(self@"touched by"@Other);
		Super.Touch(Other);
	}
}*/

defaultproperties
{
     DrawType=DT_None
}
