///////////////////////////////////////////////////////////////////////////////
// CopClothesPickup
// Copyright 2002 Running With Scissors, Inc.  All Rights Reserved.
//
// Stack of clothes pickup for dude to wear
// that's a cop uniform
//
///////////////////////////////////////////////////////////////////////////////

class CowClothesPickup extends ClothesPickup
	placeable;

///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
// Pickup.. start wearing gimp outfit immediately
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
auto state Pickup
{
	function Touch( actor Other )
	{
		local P2Player p2p;

		if ( ValidTouch(Other) )
		{
			p2p = P2Player(Pawn(Other).Controller);

			if(p2p != None)
			{
				// Force Gimp clothes on the player
				p2p.SetClothes(InventoryType);
				AnnouncePickup(Pawn(Other));
			}
		}
	}
}

///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////

defaultproperties
{
     InventoryType=Class'EAInventory.CowClothesInv'
     PickupMessage="You picked up a Cow Control Uniform."
     StaticMesh=StaticMesh'stuff.stuff1.CopUniform'
}
