class LaserAmmoInv extends InfiniteAmmoInv;

var float FleshRad;
var Sound FleshHit[4];

///////////////////////////////////////////////////////////////////////////////
// Add in the instigator
///////////////////////////////////////////////////////////////////////////////
function SpawnLaserProjectile(vector Start, vector Dir)
{
	local LaserProjectile lp;

	// 1407 bug below
	//AmmoAmount -= 1;
	// Fix: use function so npc's can properly have infinite ammo and drop the proper amount on death.
//	UseAmmoForShot();

	lp = LaserProjectile(spawn(ProjectileClass,Instigator,, Start));
	lp.SetVelocity(Dir);
	//log(self$" spawned laser proj "$rp$" at "$rp.Location$" player loc "$Instigator.Location$" speed "$rp.Velocity$" rot "$Instigator.Rotation);
}

///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////

defaultproperties
{
     FleshRad=200.000000
     FleshHit(0)=Sound'WeaponSounds.bullet_hitflesh1'
     FleshHit(1)=Sound'WeaponSounds.bullet_hitflesh2'
     FleshHit(2)=Sound'WeaponSounds.bullet_hitflesh3'
     FleshHit(3)=Sound'WeaponSounds.bullet_hitflesh4'
     MaxAmmoMP=9999
     MaxAmmo=9999
     DamageAmount=50.000000
     MomentumHitMag=50000.000000
     DamageTypeInflicted=Class'BaseFX.BulletDamage'
     ProjectileClass=Class'EAInventory.LaserProjectile'
     DamageAmountMP=50.000000
     bLeadTarget=True
     bInstantHit=True
     WarnTargetPct=0.200000
     RefireRate=0.990000
     Texture=Texture'EAWeaponsSkin.HUD.Icon_Laser'
}
