class MotherboardInv extends OwnedInv;

///////////////////////////////////////////////////////////////////////////////
// Try to link you tag on creation
///////////////////////////////////////////////////////////////////////////////
function PostBeginPlay()
{
	local Actor CheckA;

	// find owner
	if(LegalOwner == None)
	{
		log(self$" owner tag "$LegalOwnerTag);
		UseTagToNearestActor(LegalOwnerTag, CheckA, 1.0, , true);
		LegalOwner = P2Pawn(CheckA);
		log(self$" got owner "$LegalOwner);
	}

	Super.PostBeginPlay();
}

///////////////////////////////////////////////////////////////////////////////
// Reassign your owner if you can
///////////////////////////////////////////////////////////////////////////////
event TravelPostAccept()
{
	local Actor CheckA;

	// find owner
	if(LegalOwner == None)
	{
		log(self$" owner tag "$LegalOwnerTag);
		UseTagToNearestActor(LegalOwnerTag, CheckA, 1.0, , true);
		LegalOwner = P2Pawn(CheckA);
		log(self$" got owner "$LegalOwner);
	}

	Super.TravelPostAccept();
}

///////////////////////////////////////////////////////////////////////////////
// Check to give this to whoever you're talking to
///////////////////////////////////////////////////////////////////////////////
state Activated
{
Begin:
	CheckToGiveToInterest();
	GotoState('');
}

defaultproperties
{
     Price=20
     LegalOwnerTag="dork"
     bCanThrow=False
     UseForErrands=1
     InventoryGroup=166
     GroupOffset=166
     PickupClass=Class'EAInventory.MotherboardPickup'
     Icon=Texture'EATex.Icons.hud_MoBoInv'
}
