//=============================================================================
// Copyright 2002 Running With Scissors, Inc.  All Rights Reserved.
//=============================================================================
class EAGary extends EAGaryFamily
	placeable;

///////////////////////////////////////////////////////////////////////////////
// Record pawn dead, if player killed them
///////////////////////////////////////////////////////////////////////////////
function Died(Controller Killer, class<DamageType> damageType, vector HitLocation)
{
	if(P2GameInfoSingle(Level.Game) != None
		&& P2GameInfoSingle(Level.Game).TheGameState != None
//		&& EAGameState(P2GameInfoSingle(Level.Game).TheGameState) != None
		&& Killer != None
		&& Killer.bIsPlayer)
	{
		// Record the pawn as an innocent, if we don't hate the player.
		if (bInnocent)
//			EAGameState(P2GameInfoSingle(Level.Game).TheGameState).InnocentsKilled++;
	}

	Super.Died(Killer, damageType, HitLocation);
}

defaultproperties
{
     SeverBone(0)="MALE01 L UpperArm"
     SeverBone(1)="MALE01 L Forearm"
     SeverBone(2)="MALE01 R UpperArm"
     SeverBone(3)="MALE01 R Forearm"
     SeverBone(4)="MALE01 L Thigh"
     SeverBone(5)="MALE01 L Calf"
     SeverBone(6)="MALE01 R Thigh"
     SeverBone(7)="MALE01 r calf"
     BoneArr(0)=1
     BoneArr(1)=1
     BoneArr(2)=1
     BoneArr(3)=1
     BoneArr(4)=1
     BoneArr(5)=1
     BoneArr(6)=1
     BoneArr(7)=1
     BlockMeleeFreq=1.000000
     HeadSkin=Texture'ChamelHeadSkins.Special.Gary'
     BodyHitSounds(0)=Sound'MiscSounds.People.bodyhitground1'
     BodyHitSounds(1)=Sound'MiscSounds.People.bodyhitground2'
     ChameleonMeshPkgs(0)="Characters"
     ChamelHeadSkins(0)="None"
     ChamelHeadMeshPkgs(0)="heads"
     Psychic=1.000000
     Champ=0.900000
     Cajones=1.000000
     Temper=1.000000
     Glaucoma=0.500000
     Twitch=1.000000
     Compassion=0.000000
     WarnPeople=0.000000
     Conscience=0.000000
     Beg=0.000000
     PainThreshold=1.000000
     Reactivity=0.500000
     Confidence=1.000000
     Rebel=0.000000
     Patience=0.500000
     WillDodge=0.500000
     WillKneel=0.050000
     WillUseCover=0.900000
     Talkative=0.200000
     TalkWhileFighting=0.500000
     TakesMachinegunDamage=1.000000
     TakesPistolHeadShot=1.000000
     TakesShotgunHeadShot=1.000000
     TakesRifleHeadShot=1.000000
     TakesShovelHeadShot=1.000000
     TakesOnFireDamage=0.100000
     TakesAnthraxDamage=1.000000
     TakesChemDamage=0.500000
     TakesShockerDamage=0.300000
     TakesSledgeDamage=1.000000
     TakesMacheteDamage=1.000000
     TakesScytheDamage=1.000000
     TakesDervishDamage=0.600000
     TakesZombieSmashDamage=0.600000
     TalkBeforeFighting=1.000000
     WeapChangeDist=800.000000
     TwitchFar=3.500000
     dialogclass=Class'EADialog.EADialogGary'
     BaseEquipment(0)=(WeaponClass=Class'M16A2Weapon')
     BaseEquipment(1)=(WeaponClass=Class'StunGrenadeWeapon')
     BaseEquipment(2)=(WeaponClass=Class'Inventory.GaryBookInv')
     BaseEquipment(3)=(WeaponClass=Class'Inventory.UrethraWeapon')
     HealthMax=220.000000
     bPersistent=True
     bCanTeleportWithPlayer=False
     DamageMult=2.000000
     ControllerClass=Class'EAPawns.EAGaryController'
     Skins(0)=Texture'ChameleonSkins.Special.Gary'
     Begin Object Class=KarmaParamsSkel Name=KarmaParamsSkel45
         KSkeleton="Avg_Mini_Skel"
         KFriction=0.500000
         Name="KarmaParamsSkel45"
     End Object
     KParams=KarmaParamsSkel'EAPawns.KarmaParamsSkel45'
}
