class EAGaryHead extends AWGaryHead;

const HEAD_FIX_SPAN = 20.000000;

function bool SetupAfterDetach()
{
	if (EAEarlyGameInfo(Level.Game) != None && EAEarlyGameInfo(Level.Game).bHeadFix)
		LifeSpan = HEAD_FIX_SPAN;

	return Super.SetupAfterDetach();
}

///////////////////////////////////////////////////////////////////////////////
// Do crazy effects
///////////////////////////////////////////////////////////////////////////////
function PinataStyleExplodeEffects(vector HitLocation, vector Momentum)
{
	local BodyEffects headeffects;

	if(MyBody != None)
		MyBody.DestroyHeadBoltons();

	headeffects = spawn(class'EDExplodedHeadEffects',,,HitLocation);
	headeffects.SetRelativeMotion(Momentum, Velocity);

	headeffects.PlaySound(ExplodeHeadSound,,,,100,GetRandPitch());

	// Have the head wait just a moment
	GotoState('Exploding');
}

defaultproperties
{
     HeadBounce(0)=Sound'MiscSounds.People.head_bounce'
     HeadBounce(1)=Sound'MiscSounds.People.head_bounce2'
}
