///////////////////////////////////////////////////////////////////////////////
// Copyright 2002 Running With Scissors, Inc.  All Rights Reserved.
//
//  Country rednecks. One of the groups to end up hating the dude.
//
///////////////////////////////////////////////////////////////////////////////
class EARednecks extends EAPerson
	placeable;

function PreBeginPlay()
	{
	Super.PreBeginPlay();

	// Do this here because we can't use enums in default properties
	ChameleonOnlyHasGender = Gender_Male;
	}

///////////////////////////////////////////////////////////////////////////////
// Record pawn dead, if player killed them
///////////////////////////////////////////////////////////////////////////////
function Died(Controller Killer, class<DamageType> damageType, vector HitLocation)
{
	if(P2GameInfoSingle(Level.Game) != None
		&& P2GameInfoSingle(Level.Game).TheGameState != None
//		&& AW7GameState(P2GameInfoSingle(Level.Game).TheGameState) != None
		&& Killer != None
		&& Killer.bIsPlayer)
	{
		// Record the pawn as an innocent, if we don't hate the player.
		if (bInnocent)
//			AW7GameState(P2GameInfoSingle(Level.Game).TheGameState).InnocentsKilled++;
	}

	Super.Died(Killer, damageType, HitLocation);
}

defaultproperties
{
     BlockMeleeFreq=0.050000
     bDogFriend=True
     ChameleonSkins(0)="ChameleonSkins.MW__055__Avg_M_SS_Pants"
     ChameleonSkins(1)="ChameleonSkins.MW__072__Big_M_LS_Pants"
     ChameleonSkins(2)="ChameleonSkins.MW__103__Fat_M_SS_Pants"
     ChameleonSkins(3)="End"
     Cajones=0.800000
     Glaucoma=0.800000
     PainThreshold=0.950000
     Rebel=1.000000
     Stomach=0.900000
     Greed=0.800000
     TalkWhileFighting=0.300000
     TalkBeforeFighting=0.500000
     dialogclass=Class'EADialog.EADialogRedneck'
     BaseEquipment(0)=(WeaponClass=Class'M870Weapon')
     BaseEquipment(1)=(WeaponClass=Class'FootWeapon')
     BaseEquipment(2)=(WeaponClass=Class'FistsWeapon')
     BaseEquipment(3)=(WeaponClass=Class'Inventory.UrethraWeapon')
     ViolenceRankTolerance=1
     HealthMax=230.000000
     Gang="Rednecks"
     ControllerClass=Class'EAPawns.EARedneckController'
     Mesh=SkeletalMesh'Characters.Avg_M_SS_Pants'
     Skins(0)=Texture'ChameleonSkins.Rednecks.XX__154__Avg_M_SS_Pants'
}
