///////////////////////////////////////////////////////////////////////////////
// Copyright 2002 Running With Scissors, Inc.  All Rights Reserved.
//
//  Zealots hang out with Uncle Dave at his Waco-like compound.
//
///////////////////////////////////////////////////////////////////////////////
class EAZealot extends EAPerson
	placeable;

///////////////////////////////////////////////////////////////////////////////
// Adds all the required equipment and picks out the urethra.
// Do this here so we access to the inventory package for specific things
// like HandsWeapon and UrethraWeapon.
// Publisher guards get random arsenals
///////////////////////////////////////////////////////////////////////////////
function AddDefaultInventory()
{
	local int i;

	// Only let this be called once
	if (!bGotDefaultInventory)
	{
		i = rand(4);
		switch(i)
		{
			case 0:
				CreateInventoryByClass(class'M870Weapon');
				break;
			case 1:
				CreateInventoryByClass(class'GSelectWeapon');
				break;
			case 2:
				CreateInventoryByClass(class'BerettaWeapon');
				break;
			case 3:
				CreateInventoryByClass(class'M4A1Weapon');
				break;
			case 4:
				CreateInventoryByClass(class'UZIWeapon');
				break;
			case 5:
				CreateInventoryByClass(class'AK47Weapon');
				break;
			case 6:
				CreateInventoryByClass(class'M16A2Weapon');
				break;
		}
	}
	
	Super.AddDefaultInventory();
}

defaultproperties
{
     bCellUser=False
     ChameleonSkins(0)="ChameleonSkins.FW__090__Fem_LS_Skirt"
     ChameleonSkins(1)="ChameleonSkins.FW__091__Fem_LS_Skirt"
     ChameleonSkins(2)="ChameleonSkins.MW__058__Avg_M_SS_Pants"
     ChameleonSkins(3)="ChameleonSkins.MW__059__Avg_M_SS_Pants"
     ChameleonSkins(4)="End"
     Psychic=0.400000
     Cajones=0.800000
     Glaucoma=0.800000
     PainThreshold=0.950000
     Rebel=1.000000
     Stomach=0.900000
     Greed=0.800000
     TakesMachinegunDamage=1.000000
     TakesPistolHeadShot=1.000000
     TakesShotgunHeadShot=1.000000
     TakesRifleHeadShot=1.000000
     TakesShovelHeadShot=1.000000
     TakesOnFireDamage=0.700000
     TakesAnthraxDamage=1.000000
     TakesChemDamage=1.000000
     TakesShockerDamage=0.100000
     TakesSledgeDamage=1.000000
     TakesMacheteDamage=0.700000
     TakesScytheDamage=1.00000
     TakesDervishDamage=0.700000
     TakesZombieSmashDamage=0.700000
     ViolenceRankTolerance=1
     HealthMax=220.000000
     Gang="DaveGang"
     Mesh=SkeletalMesh'Characters.Avg_M_SS_Pants'
     Skins(0)=Texture'ChameleonSkins.Zealots.XX__161__Avg_M_SS_Pants'
}
